### Function

# CM utils_get_homeserver_sync

since: 0.0.2

#### Declaration [src]

    char*
    cm_utils_get_homeserver_sync (
      const char* username,
      GError** error
    )

#### Description [src]

Get homeserver from the given `username`. `username` should be in complete form (eg: `user`:example.org)

This is a synchronous method. See [cm_utils_get_homeserver_async] for an asynchronous version.

Available since: 0.0.2

#### Parameters

`username`

  Type: `const char*`

  A matrix id.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `char*`

The homeserver string or `NULL` on error. Free with `g_free()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.